List
curl --request GET \
--url https://{defaultHost}/v1/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{defaultHost}/v1/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"pagination": {
"count": 6,
"limit": 20,
"page": 1,
"url": "/v1/events"
},
"data": [
{
"id": "b91bb51f-c029-445e-abeb-58523694a80f",
"object": "event",
"data": {
"object": {
"id": "d7c7a8d4-9771-4eb9-98ce-209dd64c6396",
"object": "purchase",
"live_mode": true,
"quantity": 1,
"revoked": false,
"revoked_at": null,
"revoke_at": null,
"customer": "e4a6c54a-6b16-4f2b-913c-abceff370ae5",
"initial_order": "a5318093-3baa-4f70-af3f-173a1b4c8804",
"license": null,
"price": "73850766-f684-4343-8828-e07e38196b89",
"product": "d37ef54b-b5e2-432c-9490-f4bd2c2d9cbf",
"subscription": null,
"variant": null,
"review": null,
"created_at": 1793796888,
"updated_at": 1793796888
}
},
"type": "purchase.created",
"account": "26799000-86e5-41dd-b686-b8712940c418",
"created_at": 1793796888
},
{
"id": "fa72c4b6-ac00-42cd-8db6-8e0fbf9affd6",
"object": "event",
"data": {
"object": {
"id": "a5318093-3baa-4f70-af3f-173a1b4c8804",
"object": "order",
"fulfillment_status": "unfulfilled",
"live_mode": true,
"number": "0001",
"order_type": "checkout",
"return_status": "not_returned",
"shipment_status": "unshippable",
"portal_url": "http://app.example.com/portal_redirect/orders/a5318093-3baa-4f70-af3f-173a1b4c8804",
"statement_url": "http://app.example.com/statements/orders/a5318093-3baa-4f70-af3f-173a1b4c8804",
"status": "paid",
"checkout": "f64d0622-7839-4a0d-ad97-787b92f9aaf9",
"created_at": 1793796888,
"updated_at": 1793796888
}
},
"type": "order.paid",
"account": "26799000-86e5-41dd-b686-b8712940c418",
"created_at": 1793796888
},
{
"id": "84709a17-b51f-44d9-b3c5-a83ac4e7f078",
"object": "event",
"data": {
"object": {
"id": "4e073fba-24af-4844-ba40-015bb6836f90",
"object": "purchase",
"live_mode": true,
"quantity": 1,
"revoked": false,
"revoked_at": null,
"revoke_at": null,
"customer": "e4a6c54a-6b16-4f2b-913c-abceff370ae5",
"initial_order": "a5318093-3baa-4f70-af3f-173a1b4c8804",
"license": null,
"price": "73850766-f684-4343-8828-e07e38196b89",
"product": "d37ef54b-b5e2-432c-9490-f4bd2c2d9cbf",
"subscription": null,
"variant": null,
"review": null,
"created_at": 1793796888,
"updated_at": 1793796888
}
},
"type": "purchase.created",
"account": "26799000-86e5-41dd-b686-b8712940c418",
"created_at": 1793796888
},
{
"id": "aa567201-2e9b-4051-9f13-d308b55cdfb3",
"object": "event",
"data": {
"object": {
"id": "a5318093-3baa-4f70-af3f-173a1b4c8804",
"object": "order",
"fulfillment_status": "unfulfilled",
"live_mode": true,
"number": "0001",
"order_type": "checkout",
"return_status": "not_returned",
"shipment_status": "unshippable",
"portal_url": "http://app.example.com/portal_redirect/orders/a5318093-3baa-4f70-af3f-173a1b4c8804",
"statement_url": "http://app.example.com/statements/orders/a5318093-3baa-4f70-af3f-173a1b4c8804",
"status": "paid",
"checkout": "f64d0622-7839-4a0d-ad97-787b92f9aaf9",
"created_at": 1793796888,
"updated_at": 1793796888
}
},
"type": "order.made_processing",
"account": "26799000-86e5-41dd-b686-b8712940c418",
"created_at": 1793796888
},
{
"id": "b7867bc6-86d5-4a38-b532-ebebffd7267d",
"object": "event",
"data": {
"object": {
"id": "a5318093-3baa-4f70-af3f-173a1b4c8804",
"object": "order",
"fulfillment_status": "unfulfilled",
"live_mode": true,
"number": "0001",
"order_type": "checkout",
"return_status": "not_returned",
"shipment_status": "unshippable",
"portal_url": "http://app.example.com/portal_redirect/orders/a5318093-3baa-4f70-af3f-173a1b4c8804",
"statement_url": "http://app.example.com/statements/orders/a5318093-3baa-4f70-af3f-173a1b4c8804",
"status": "paid",
"checkout": "f64d0622-7839-4a0d-ad97-787b92f9aaf9",
"created_at": 1793796888,
"updated_at": 1793796888
}
},
"type": "order.created",
"account": "26799000-86e5-41dd-b686-b8712940c418",
"created_at": 1793796888
},
{
"id": "87632988-0157-46be-b2cb-60a48bff44c2",
"object": "event",
"data": {
"object": {
"id": "d37ef54b-b5e2-432c-9490-f4bd2c2d9cbf",
"object": "product",
"allow_out_of_stock_purchases": false,
"archived": false,
"archived_at": null,
"auto_fulfill_enabled": false,
"available_stock": -1,
"average_stars": "0.0",
"bundle": false,
"description": null,
"dimensions": null,
"held_stock": 1,
"featured": false,
"licensing_enabled": false,
"license_activation_limit": null,
"metadata": {},
"purchase_limit": null,
"metrics": {
"currency": "usd",
"max_price_amount": null,
"min_price_amount": null,
"prices_count": 0
},
"name": "Test Product",
"recurring": false,
"reviews_breakdown": {},
"reviews_enabled": true,
"shipping_enabled": false,
"sku": null,
"slug": "test-product",
"solicit_reviews": true,
"status": "draft",
"stock": 0,
"stock_enabled": false,
"tax_enabled": false,
"tax_category": "tangible",
"hs_code": null,
"country_of_origin": null,
"manufacturer_code": null,
"weight": 0,
"weight_unit": "lb",
"commission_structure": null,
"featured_product_media": null,
"product_group": null,
"current_release_download": null,
"shipping_profile": null,
"cataloged_at": 1793796886,
"discarded_at": null,
"created_at": 1793796887,
"updated_at": 1793796887
}
},
"type": "product.stock_adjusted",
"account": "26799000-86e5-41dd-b686-b8712940c418",
"created_at": 1793796887
}
]
}Events
List
Returns a list of your events.
GET
/
v1
/
events
List
curl --request GET \
--url https://{defaultHost}/v1/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{defaultHost}/v1/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"pagination": {
"count": 6,
"limit": 20,
"page": 1,
"url": "/v1/events"
},
"data": [
{
"id": "b91bb51f-c029-445e-abeb-58523694a80f",
"object": "event",
"data": {
"object": {
"id": "d7c7a8d4-9771-4eb9-98ce-209dd64c6396",
"object": "purchase",
"live_mode": true,
"quantity": 1,
"revoked": false,
"revoked_at": null,
"revoke_at": null,
"customer": "e4a6c54a-6b16-4f2b-913c-abceff370ae5",
"initial_order": "a5318093-3baa-4f70-af3f-173a1b4c8804",
"license": null,
"price": "73850766-f684-4343-8828-e07e38196b89",
"product": "d37ef54b-b5e2-432c-9490-f4bd2c2d9cbf",
"subscription": null,
"variant": null,
"review": null,
"created_at": 1793796888,
"updated_at": 1793796888
}
},
"type": "purchase.created",
"account": "26799000-86e5-41dd-b686-b8712940c418",
"created_at": 1793796888
},
{
"id": "fa72c4b6-ac00-42cd-8db6-8e0fbf9affd6",
"object": "event",
"data": {
"object": {
"id": "a5318093-3baa-4f70-af3f-173a1b4c8804",
"object": "order",
"fulfillment_status": "unfulfilled",
"live_mode": true,
"number": "0001",
"order_type": "checkout",
"return_status": "not_returned",
"shipment_status": "unshippable",
"portal_url": "http://app.example.com/portal_redirect/orders/a5318093-3baa-4f70-af3f-173a1b4c8804",
"statement_url": "http://app.example.com/statements/orders/a5318093-3baa-4f70-af3f-173a1b4c8804",
"status": "paid",
"checkout": "f64d0622-7839-4a0d-ad97-787b92f9aaf9",
"created_at": 1793796888,
"updated_at": 1793796888
}
},
"type": "order.paid",
"account": "26799000-86e5-41dd-b686-b8712940c418",
"created_at": 1793796888
},
{
"id": "84709a17-b51f-44d9-b3c5-a83ac4e7f078",
"object": "event",
"data": {
"object": {
"id": "4e073fba-24af-4844-ba40-015bb6836f90",
"object": "purchase",
"live_mode": true,
"quantity": 1,
"revoked": false,
"revoked_at": null,
"revoke_at": null,
"customer": "e4a6c54a-6b16-4f2b-913c-abceff370ae5",
"initial_order": "a5318093-3baa-4f70-af3f-173a1b4c8804",
"license": null,
"price": "73850766-f684-4343-8828-e07e38196b89",
"product": "d37ef54b-b5e2-432c-9490-f4bd2c2d9cbf",
"subscription": null,
"variant": null,
"review": null,
"created_at": 1793796888,
"updated_at": 1793796888
}
},
"type": "purchase.created",
"account": "26799000-86e5-41dd-b686-b8712940c418",
"created_at": 1793796888
},
{
"id": "aa567201-2e9b-4051-9f13-d308b55cdfb3",
"object": "event",
"data": {
"object": {
"id": "a5318093-3baa-4f70-af3f-173a1b4c8804",
"object": "order",
"fulfillment_status": "unfulfilled",
"live_mode": true,
"number": "0001",
"order_type": "checkout",
"return_status": "not_returned",
"shipment_status": "unshippable",
"portal_url": "http://app.example.com/portal_redirect/orders/a5318093-3baa-4f70-af3f-173a1b4c8804",
"statement_url": "http://app.example.com/statements/orders/a5318093-3baa-4f70-af3f-173a1b4c8804",
"status": "paid",
"checkout": "f64d0622-7839-4a0d-ad97-787b92f9aaf9",
"created_at": 1793796888,
"updated_at": 1793796888
}
},
"type": "order.made_processing",
"account": "26799000-86e5-41dd-b686-b8712940c418",
"created_at": 1793796888
},
{
"id": "b7867bc6-86d5-4a38-b532-ebebffd7267d",
"object": "event",
"data": {
"object": {
"id": "a5318093-3baa-4f70-af3f-173a1b4c8804",
"object": "order",
"fulfillment_status": "unfulfilled",
"live_mode": true,
"number": "0001",
"order_type": "checkout",
"return_status": "not_returned",
"shipment_status": "unshippable",
"portal_url": "http://app.example.com/portal_redirect/orders/a5318093-3baa-4f70-af3f-173a1b4c8804",
"statement_url": "http://app.example.com/statements/orders/a5318093-3baa-4f70-af3f-173a1b4c8804",
"status": "paid",
"checkout": "f64d0622-7839-4a0d-ad97-787b92f9aaf9",
"created_at": 1793796888,
"updated_at": 1793796888
}
},
"type": "order.created",
"account": "26799000-86e5-41dd-b686-b8712940c418",
"created_at": 1793796888
},
{
"id": "87632988-0157-46be-b2cb-60a48bff44c2",
"object": "event",
"data": {
"object": {
"id": "d37ef54b-b5e2-432c-9490-f4bd2c2d9cbf",
"object": "product",
"allow_out_of_stock_purchases": false,
"archived": false,
"archived_at": null,
"auto_fulfill_enabled": false,
"available_stock": -1,
"average_stars": "0.0",
"bundle": false,
"description": null,
"dimensions": null,
"held_stock": 1,
"featured": false,
"licensing_enabled": false,
"license_activation_limit": null,
"metadata": {},
"purchase_limit": null,
"metrics": {
"currency": "usd",
"max_price_amount": null,
"min_price_amount": null,
"prices_count": 0
},
"name": "Test Product",
"recurring": false,
"reviews_breakdown": {},
"reviews_enabled": true,
"shipping_enabled": false,
"sku": null,
"slug": "test-product",
"solicit_reviews": true,
"status": "draft",
"stock": 0,
"stock_enabled": false,
"tax_enabled": false,
"tax_category": "tangible",
"hs_code": null,
"country_of_origin": null,
"manufacturer_code": null,
"weight": 0,
"weight_unit": "lb",
"commission_structure": null,
"featured_product_media": null,
"product_group": null,
"current_release_download": null,
"shipping_profile": null,
"cataloged_at": 1793796886,
"discarded_at": null,
"created_at": 1793796887,
"updated_at": 1793796887
}
},
"type": "product.stock_adjusted",
"account": "26799000-86e5-41dd-b686-b8712940c418",
"created_at": 1793796887
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
Only return objects that belong to the given records.
Only return events with the given type.
Was this page helpful?